Bug 675128 - wrong redirections with SIGPIPE traps
wrong redirections with SIGPIPE traps
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ksh (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE - Apps
: ZStream
Depends On: 615284
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 07:24 EST by RHEL Product and Program Management
Modified: 2011-02-28 04:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a ksh script contained the "trap" command to capture a "SIGPIPE" signal, sending this signal by using the built-in "echo" command could cause its output to be incorrectly added to the redirected output of an external command. This error has been fixed, and ksh now flushes the output buffer before redirecting output streams.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 04:52:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-02-04 07:24:59 EST
This bug has been copied from bug #615284 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 5 Jaromir Hradilek 2011-02-07 09:55:50 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When a ksh script contained the "trap" command to capture a "SIGPIPE" signal, sending this signal by using the built-in "echo" command could cause its output to be incorrectly added to the redirected output of an external command. This error has been fixed, and ksh now flushes the output buffer before redirecting output streams.
Comment 6 Branislav Náter 2011-02-23 07:14:56 EST
Bugfix was verified using scenarios from bz615284 on package ksh-20100202-1.el5_6.3.{i386, ia64, ppc, s390x, x86_64}.
Output of built-in echo command no longer appears in redirect file.
Comment 7 errata-xmlrpc 2011-02-28 04:52:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0304.html

Note You need to log in before you can comment on or make changes to this bug.